public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/gwenhywfar/
Date: Sun, 13 Oct 2019 11:40:58 +0000 (UTC)	[thread overview]
Message-ID: <1570966827.2dc6eb9c4cd97832bbfa63e079b03081f1c5e933.asturm@gentoo> (raw)

commit:     2dc6eb9c4cd97832bbfa63e079b03081f1c5e933
Author:     Peter Levine <plevine457 <AT> gmail <DOT> com>
AuthorDate: Mon Sep 23 20:11:20 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Oct 13 11:40:27 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2dc6eb9c

sys-libs/gwenhywfar: block <app-office/gnucash-3.7[aqbanking]

<app-office/gnucash-3.7[aqbanking] unfortunately provided its own
libgwengui-gtk3.so which conflicts with that provided by
sys-libs/gwenhywfar[gtk].

Closes: https://bugs.gentoo.org/695386
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Peter Levine <plevine457 <AT> gmail.com>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-libs/gwenhywfar/gwenhywfar-4.20.2-r1.ebuild | 112 ++++++++++++++++++++++++
 1 file changed, 112 insertions(+)

diff --git a/sys-libs/gwenhywfar/gwenhywfar-4.20.2-r1.ebuild b/sys-libs/gwenhywfar/gwenhywfar-4.20.2-r1.ebuild
new file mode 100644
index 00000000000..7eb0daed934
--- /dev/null
+++ b/sys-libs/gwenhywfar/gwenhywfar-4.20.2-r1.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Multi-platform helper library for other libraries"
+HOMEPAGE="https://www.aquamaniac.de/sites/aqbanking/index.php"
+SRC_URI="https://www.aquamaniac.de/rdm/attachments/download/108/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/60" # correspond with libgwenhywfar.so version
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug designer doc fox gtk libressl qml qt5 sensors serialport test webkit"
+
+REQUIRED_USE="designer? ( qt5 ) qml? ( qt5 ) sensors? ( qt5 ) serialport? ( qt5 ) webkit? ( qt5 )"
+
+BDEPEND="
+	sys-devel/gettext
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )
+"
+
+DEPEND="
+	dev-libs/libgcrypt:0=
+	dev-libs/libgpg-error
+	libressl? ( dev-libs/libressl:0= )
+	!libressl? ( dev-libs/openssl:0= )
+	net-libs/gnutls:=
+	virtual/libiconv
+	virtual/libintl
+	virtual/opengl
+	designer? ( dev-qt/designer:5 )
+	fox? ( x11-libs/fox:1.6 )
+	gtk? ( x11-libs/gtk+:3 )
+	qml? ( dev-qt/qtdeclarative:5 )
+	qt5? (
+		dev-qt/qtconcurrent:5
+		dev-qt/qtcore:5
+		dev-qt/qtdbus:5
+		dev-qt/qtgui:5
+		dev-qt/qthelp:5
+		dev-qt/qtmultimedia:5[widgets]
+		dev-qt/qtnetwork:5
+		dev-qt/qtopengl:5
+		dev-qt/qtprintsupport:5
+		dev-qt/qtscript:5
+		dev-qt/qtsql:5
+		dev-qt/qtsvg:5
+		dev-qt/qtwidgets:5
+		dev-qt/qtx11extras:5
+		dev-qt/qtxml:5
+		dev-qt/qtxmlpatterns:5
+	)
+	sensors? ( dev-qt/qtsensors:5 )
+	serialport? ( dev-qt/qtserialport:5 )
+	test? ( dev-qt/qttest:5 )
+	webkit? ( dev-qt/qtwebkit:5 )
+"
+
+RDEPEND="${DEPEND}
+	gtk? ( !<app-office/gnucash-3.7[aqbanking] )"
+
+# broken upstream, reported but got no reply
+RESTRICT="test"
+
+src_configure() {
+	disableQtModule() {
+		local module
+		for module in ${@}; do
+			sed -e "/qtHaveModule(${module})/s|^|#DONT|" -i configure || die
+		done
+	}
+
+	use designer || disableQtModule designer uitools
+	use qml || disableQtModule qml qmltest
+	use sensors || disableQtModule sensors
+	use serialport || disableQtModule serialport
+	use test || disableQtModule testlib
+	use webkit || disableQtModule webkit webkitwidgets
+
+	local guis=()
+	use fox && guis+=( fox16 )
+	use gtk && guis+=( gtk3 )
+	use qt5 && guis+=( qt5 )
+
+	local myeconfargs=(
+		--enable-ssl
+		$(use_enable debug)
+		$(use_enable doc full-doc)
+		--with-docpath="${EPREFIX}/usr/share/doc/${PF}/apidoc"
+	)
+	use qt5 && myeconfargs+=(
+		--with-qt5-moc="$(qt5_get_bindir)/moc"
+		--with-qt5-qmake="$(qt5_get_bindir)/qmake"
+	)
+
+	guis_config="--with-guis=${guis[@]}"
+	econf "${myeconfargs[@]}" "${guis_config}"
+}
+
+src_compile() {
+	emake
+	use doc && emake srcdoc
+}
+
+src_install() {
+	default
+	use doc && emake DESTDIR="${D}" install-srcdoc
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2019-10-13 11:41 UTC|newest]

Thread overview: 50+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-13 11:40 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-01-04 21:00 [gentoo-commits] repo/gentoo:master commit in: sys-libs/gwenhywfar/ Andreas Sturmlechner
2023-01-03 18:28 Sam James
2023-01-03 18:28 Sam James
2022-12-02  7:43 Joonas Niilola
2022-03-30 14:14 Yixun Lan
2021-05-02 12:37 Mikle Kolyada
2020-11-15 14:01 Andreas Sturmlechner
2020-11-15  5:24 Sam James
2020-11-12 21:03 Thomas Deutschmann
2020-11-11 18:30 Andreas Sturmlechner
2020-10-31 22:40 Andreas Sturmlechner
2020-09-09  9:03 Hanno Böck
2020-08-29 13:21 Sam James
2020-05-21 11:20 Andreas Sturmlechner
2020-02-15 10:33 Andreas Sturmlechner
2020-02-13 12:46 Agostino Sarubbo
2020-02-08 13:54 Mikle Kolyada
2020-01-19 22:08 Andreas Sturmlechner
2020-01-19 22:07 Andreas Sturmlechner
2020-01-15 19:41 Andreas Sturmlechner
2020-01-12 20:12 Andreas Sturmlechner
2020-01-12 20:07 Andreas Sturmlechner
2019-12-02 16:33 Mikle Kolyada
2019-12-02 16:12 Mikle Kolyada
2019-11-13 21:25 Andreas Sturmlechner
2019-11-13 21:25 Andreas Sturmlechner
2019-10-13 13:41 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-10-13 11:40 Andreas Sturmlechner
2019-09-18 18:13 Andreas Sturmlechner
2018-07-14 14:57 Andreas Sturmlechner
2018-06-23 18:21 Mikle Kolyada
2018-06-17 23:29 Thomas Deutschmann
2018-05-13 21:05 Andreas Sturmlechner
2018-04-06  0:42 Andreas Sturmlechner
2018-04-06  0:33 Thomas Deutschmann
2018-04-05 21:16 Aaron Bauman
2018-04-03 21:47 Sergei Trofimovich
2018-02-14  5:41 Jeroen Roovers
2018-02-13 20:25 Jeroen Roovers
2018-02-13 19:43 Andreas Sturmlechner
2018-02-12 23:50 Andreas Sturmlechner
2018-02-12 23:50 Andreas Sturmlechner
2018-02-06 19:35 Andreas Sturmlechner
2017-01-16 10:15 Agostino Sarubbo
2016-12-20 14:04 Tobias Klausmann
2016-11-05 16:46 Michael Palimaka
2016-11-05 16:44 Michael Palimaka
2016-05-11  9:18 Hanno Boeck

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1570966827.2dc6eb9c4cd97832bbfa63e079b03081f1c5e933.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox